initZeroPtrList(dragDiag, mesh, dimensionSet(1, -3, -1, 0, 0), "dragDiag");
initZeroPtrList(dragDiagf, mesh, dimensionSet(1, -3, -1, 0, 0), "dragDiagf");
initZeroPtrList(dragPCoefff, mesh, dimensionSet(0, 0, 0, 0, 0), "dragPCoefff");

forAllConstIter(phaseSystem::KdTable, fluid.Kds(), KdIter)
{
    const volScalarField& K(*KdIter());
    const phasePair& pair(fluid.phasePairs()[KdIter.key()]);

    forAllConstIter(phasePair, pair, iter)
    {
        const phaseModel& phase = iter();
        const phaseModel& otherPhase = iter.otherPhase();

        if (phase.stationary()) continue;

        if (partialElimination)
        {
            dragDiag[phase.index()] +=
                K
               *(
                    1
                  + rAs[otherPhase.index()]
                   *(
                        HUEqns[phase.index()].A()
                      + ddtUEqns[phase.index()].A()
                      + fvModelsEqns[phase.index()].A()
                    )
                );
        }
        else
        {
            dragDiag[phase.index()] += K;
        }
    }
}

forAllConstIter(phaseSystem::KdfTable, fluid.Kdfs(), KdfIter)
{
    const surfaceScalarField& Kf(*KdfIter());
    const phasePair& pair(fluid.phasePairs()[KdfIter.key()]);

    forAllConstIter(phasePair, pair, iter)
    {
        const phaseModel& phase = iter();
        const phaseModel& otherPhase = iter.otherPhase();

        if (phase.stationary()) continue;

        if (partialElimination)
        {
            dragDiagf[phase.index()] +=
                Kf
               *(
                    1
                  + rAfs[otherPhase.index()]
                   *(
                        fvc::interpolate(HUEqns[phase.index()].A())
                      + fvc::interpolate(ddtUEqns[phase.index()].A())
                      + fvc::interpolate(fvModelsEqns[phase.index()].A())
                    )
                );

            dragPCoefff[phase.index()] += Kf*rAfs[otherPhase.index()];
        }
        else
        {
            dragDiagf[phase.index()] += Kf;
        }
    }
}
