initZeroPtrList
(
    forcesSourcef, mesh, dimensionSet(1, 0, -2, 0, 0), "forcesSourcef"
);

// Add lift force
// Inspired by MomentumTransferPhaseSystem::phiFfs()
forAllConstIter(phaseSystem::FlfTable, fluid.Flfs(), FlfIter)
{
    const surfaceScalarField& Ff(*FlfIter());
    const phasePair& pair(fluid.phasePairs()[FlfIter.key()]);

    forcesSourcef[pair.phase1().index()] -= Ff;
    forcesSourcef[pair.phase2().index()] += Ff;
}

// Add wall lubrication force
// Inspired by MomentumTransferPhaseSystem::phiFfs()
forAllConstIter(phaseSystem::FwfTable, fluid.Fwfs(), FwfIter)
{
    const surfaceScalarField& Ff(*FwfIter());
    const phasePair& pair(fluid.phasePairs()[FwfIter.key()]);

    forcesSourcef[pair.phase1().index()] -= Ff;
    forcesSourcef[pair.phase2().index()] += Ff;
}

// Add turbulent dispersion force
forAllConstIter(phaseSystem::FtfTable, fluid.Ftfs(), FtfIter)
{
    const surfaceScalarField& Ff(*FtfIter());
    const phasePair& pair(fluid.phasePairs()[FtfIter.key()]);

    forcesSourcef[pair.phase1().index()] -= Ff;
    forcesSourcef[pair.phase2().index()] += Ff;
}
