initZeroPtrList(vmSource, mesh, dimensionSet(1, -2, -2, 0, 0), "vmSource");

forAllConstIter(phaseSystem::VmTable, fluid.Vms(), VmIter)
{
    const volScalarField& Vm(*VmIter());
    const phasePair& pair(fluid.phasePairs()[VmIter.key()]);

    forAllConstIter(phasePair, pair, iter)
    {
        const phaseModel& phase = iter();
        const phaseModel& otherPhase = iter.otherPhase();

        vmSource[phase.index()] +=
            Vm
           *byDt
            (
                phase.U()().oldTime()
              + otherPhase.U()
              - otherPhase.U()().oldTime()
            );
    }
}
