    wordList scalarFields(channelDict.lookup("scalarFields"));
    wordList vectorFields(channelDict.lookup("vectorFields"));
    wordList symmTensorFields(channelDict.lookup("symmTensorFields"));
    PtrList<volScalarField> vsFlds;
    PtrList<volVectorField> vvFlds;
    PtrList<volSymmTensorField> vstFlds;

    forAll(scalarFields, i)
    {
        IOobject vsHeader
        (
            scalarFields[i],
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ
        );


        if (!vsHeader.typeHeaderOk<volScalarField>(true))
        {
            Info<< "    No " << scalarFields[i] << " field" << endl;
            continue;
        }

        vsFlds.append
        (
            volScalarField
            (
                vsHeader,
                mesh
            )
        );
    }

    forAll(vectorFields, i)
    {
        IOobject vvHeader
        (
            vectorFields[i],
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ
        );


        if (!vvHeader.typeHeaderOk<volVectorField>(true))
        {
            Info<< "    No " << vectorFields[i] << " field" << endl;
            continue;
        }

        vvFlds.append
        (
            volVectorField
            (
                vvHeader,
                mesh
            )
        );
    }

    forAll(symmTensorFields, i)
    {
        IOobject vstHeader
        (
            symmTensorFields[i],
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ
        );


        if (!vstHeader.typeHeaderOk<volSymmTensorField>(true))
        {
            Info<< "    No " << symmTensorFields[i] << " field" << endl;
            continue;
        }

        vstFlds.append
        (
            volSymmTensorField
            (
                vstHeader,
                mesh
            )
        );
    }
