/*---------------------------------------------------------------------------*\
  ==  == ====== ====   ====    |
                    \\     ||  | Unsupported Contributions for OpenFOAM
  ======   //   ||  || ===//   |
  ||  ||  //    ||  // || \\   | Copyright (C) 2019 OpenFOAM Foundation
  ==  == ====== ====   ==  ==  | and Helmholtz-Zentrum Dresden-Rossendorf
-------------------------------------------------------------------------------
License
    This file is a derivative work of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "phaseStructureProperties.H"

// * * * * * * * * * * * * * * * Member Functions  * * * * * * * * * * * * * //

inline const Foam::dictionary&
Foam::functionObjects::phaseStructureProperties::dict() const
{
    return dict_;
}


inline const Foam::fvMesh&
Foam::functionObjects::phaseStructureProperties::mesh() const
{
    return refCast<const fvMesh>(obr_);
}


inline const Foam::functionObjects::phaseStructureProperties::regionTypes&
Foam::functionObjects::phaseStructureProperties::regionType() const
{
    return regionType_;
}


inline const Foam::labelList&
Foam::functionObjects::phaseStructureProperties::cellId() const
{
    return cellId_;
}


// ************************************************************************* //
